Bug 1896643 - CVE-2020-16016 chromium: chromium-browser: Inappropriate implementation in base [fedora-all]
Summary: CVE-2020-16016 chromium: chromium-browser: Inappropriate implementation in ba...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 33
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-16016
TreeView+ depends on / blocked
 
Reported: 2020-11-11 06:35 UTC by msiddiqu
Modified: 2020-11-24 01:22 UTC (History)
3 users (show)

Fixed In Version: chromium-86.0.4240.198-1.fc33 chromium-87.0.4280.66-1.fc32
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-20 01:40:21 UTC
Type: ---


Attachments (Terms of Use)

Description msiddiqu 2020-11-11 06:35:29 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 msiddiqu 2020-11-11 06:35:32 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1896641,1896643

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-11-16 15:44:13 UTC
FEDORA-2020-574de90f50 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-574de90f50

Comment 3 Fedora Update System 2020-11-16 15:44:19 UTC
FEDORA-2020-2d0c0ee838 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2d0c0ee838

Comment 4 Fedora Update System 2020-11-16 15:44:25 UTC
FEDORA-2020-dca3a4954f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dca3a4954f

Comment 5 Fedora Update System 2020-11-17 02:05:44 UTC
FEDORA-2020-574de90f50 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-574de90f50`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-574de90f50

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-11-17 02:27:11 UTC
FEDORA-2020-dca3a4954f has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-dca3a4954f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dca3a4954f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-17 02:34:42 UTC
FEDORA-2020-2d0c0ee838 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2d0c0ee838`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2d0c0ee838

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-11-20 01:40:21 UTC
FEDORA-2020-2d0c0ee838 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-11-21 02:46:37 UTC
FEDORA-2020-3e005ce2e0 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3e005ce2e0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3e005ce2e0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-11-24 01:22:44 UTC
FEDORA-2020-3e005ce2e0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.